/* **********************************************************
 * Copyright 2002 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

#ifndef __VMHOST_H__
#define __VMHOST_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include <linux/sched.h>
#include "compat_semaphore.h"
#include "compat_wait.h"

/*
 * Per-vm host-specific state.
 */

typedef struct VMHost {
   atomic_t           pendingUserCalls;
   wait_queue_head_t  callQueue;
   volatile Bool      replyWaiting[VMX86_MAX_VCPUS];
   wait_queue_head_t  replyQueue[VMX86_MAX_VCPUS];
#ifdef KERNEL_2_4_0
   struct task_struct *vcpuSemaTask[VMX86_MAX_VCPUS];
#else
   poll_table         *vcpuSemaWait[VMX86_MAX_VCPUS];
#endif
} VMHost;

#endif
